Package org.eclipse.draw2d

# Class PuristicScrollPane.PuristicScrollBar

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.ScrollBar
org.eclipse.draw2d.PuristicScrollPane.PuristicScrollBar

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `IFigure`, `Orientable`, `PositionConstants`

Enclosing class:
  `PuristicScrollPane`

public class PuristicScrollPane.PuristicScrollBar extends ScrollBar
A `ScrollBar` with no thumb and non-opaque buttons.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.ScrollBar

`ScrollBar.ThumbDragger`

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch, Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.ScrollBar

`MAX_FLAG, thumbDragger, transposer`

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Fields inherited from interface org.eclipse.draw2d.Orientable

`HORIZONTAL, VERTICAL`

### Fields inherited from interface org.eclipse.draw2d.PositionConstants

`ALWAYS_LEFT, ALWAYS_RIGHT, BOTTOM, CENTER, EAST, EAST_WEST, LEFT, LEFT_CENTER_RIGHT, MIDDLE, NONE, NORTH, NORTH_EAST, NORTH_SOUTH, NORTH_WEST, NSEW, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TOP_MIDDLE_BOTTOM, WEST`

## Constructor Summary

Constructors
Constructor
Description
`PuristicScrollBar(boolean isHorizontal)`
Instantiates a new transparent scroll bar.

## Method Summary

Modifier and Type
Method
Description
`protected Clickable`
`createDefaultDownButton()`
Creates the default 'Down' ArrowButton for the ScrollBar.
`protected IFigure`
`createDefaultThumb()`
Creates the Scrollbar's "thumb", the draggable Figure that indicates the Scrollbar's position.
`protected Clickable`
`createDefaultUpButton()`
Creates the default 'Up' ArrowButton for the ScrollBar.
`protected Clickable`
`createPageDown()`
Creates the pagedown Figure for the Scrollbar.
`protected Clickable`
`createPageUp()`
Creates the pageup Figure for the Scrollbar.
`void`
`propertyChange(PropertyChangeEvent event)`

### Methods inherited from class org.eclipse.draw2d.ScrollBar

`getButtonDown, getButtonUp, getExtent, getMaximum, getMinimum, getPageDown, getPageIncrement, getPageUp, getRangeModel, getStepIncrement, getThumb, getValue, getValueRange, initialize, isHorizontal, revalidate, setDirection, setDownClickable, setEnabled, setExtent, setHorizontal, setMaximum, setMinimum, setOrientation, setPageDown, setPageIncrement, setPageUp, setRangeModel, setStepIncrement, setThumb, setUpClickable, setValue, stepDown, stepUp`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

## Constructor Details

### PuristicScrollBar

public PuristicScrollBar(boolean isHorizontal)
Instantiates a new transparent scroll bar.

Parameters:
  `isHorizontal` - whether this scroll bar is used as a horizontal one.

## Method Details

### createDefaultDownButton

protected Clickable createDefaultDownButton()
Description copied from class: `ScrollBar`
Creates the default 'Down' ArrowButton for the ScrollBar.

Overrides:
  `createDefaultDownButton` in class `ScrollBar`
Returns:
  the down button
See Also:
  - `ScrollBar.createDefaultDownButton()`

### createDefaultThumb

protected IFigure createDefaultThumb()
Description copied from class: `ScrollBar`
Creates the Scrollbar's "thumb", the draggable Figure that indicates the Scrollbar's position.

Overrides:
  `createDefaultThumb` in class `ScrollBar`
Returns:
  the thumb figure
See Also:
  - `ScrollBar.createDefaultThumb()`

### createDefaultUpButton

protected Clickable createDefaultUpButton()
Description copied from class: `ScrollBar`
Creates the default 'Up' ArrowButton for the ScrollBar.

Overrides:
  `createDefaultUpButton` in class `ScrollBar`
Returns:
  the up button
See Also:
  - `ScrollBar.createDefaultUpButton()`

### createPageDown

protected Clickable createPageDown()
Description copied from class: `ScrollBar`
Creates the pagedown Figure for the Scrollbar.

Overrides:
  `createPageDown` in class `ScrollBar`
Returns:
  the page down figure
See Also:
  - `ScrollBar.createPageDown()`

### createPageUp

protected Clickable createPageUp()
Description copied from class: `ScrollBar`
Creates the pageup Figure for the Scrollbar.

Overrides:
  `createPageUp` in class `ScrollBar`
Returns:
  the page up figure
See Also:
  - `ScrollBar.createPageUp()`

### propertyChange

public void propertyChange(PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Overrides:
  `propertyChange` in class `ScrollBar`
See Also:
  - `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`